import Vue from 'vue'
import VueCookies from 'vue-cookies';
import App from './App.vue'
// import VueTelInput from 'vue-tel-input'
import vuetify from './plugins/vuetify'
import "vuetify/dist/vuetify.min.css";
import router from './multipages'
import store from '@/stores';
import VueGtag from "vue-gtag";
import VueGtm from 'vue-gtm';
import VueMeta from 'vue-meta'
const gtagId = process.env.VUE_APP_GTAG_ID;
const gaId = process.env.VUE_APP_GA_ID;


Vue.use(VueCookies);
// Vue.use(VueTelInput);

// Vue.use(VueGoogleMaps, {
//     load: { key: 'AIzaSyDmHp0PPuKHD1KGHCDmLq1qQKr_03XKEHo', libraries: ['places', 'geometry'] }
// });

Vue.use(VueGtm, {
    id: gtagId, // Your GTM single container ID or array of container ids ['GTM-xxxxxx', 'GTM-yyyyyy']
    // queryParams: { // Add url query string when load gtm.js with GTM ID (optional)
    //   gtm_auth:'AB7cDEf3GHIjkl-MnOP8qr',
    //   gtm_preview:'env-4',
    //   gtm_cookies_win:'x'
    // },
    defer: false, // defaults to false. Script can be set to `defer` to increase page-load-time at the cost of less accurate results (in case visitor leaves before script is loaded, which is unlikely but possible)
    enabled: true, // defaults to true. Plugin can be disabled by setting this to false for Ex: enabled: !!GDPR_Cookie (optional)
    debug: false, // Whether or not display console logs debugs (optional)
    loadScript: true, // Whether or not to load the GTM Script (Helpful if you are including GTM manually, but need the dataLayer functionality in your components) (optional)
    vueRouter: router, // Pass the router instance to automatically sync with router (optional)
    //  ignoredViews: ['main', 'homepage'], // Don't trigger events for specified router names (case insensitive) (optional)
    trackOnNextTick: false, // Whether or not call trackView in Vue.nextTick
});

Vue.use(VueMeta, {
    // optional pluginOptions
    refreshOnceOnNavigation: true
})


Vue.use(VueGtag, {
    config: {
        id: gaId, params: {
            send_page_view: true
        }
    }
}, router);
Vue.config.productionTip = false


export default new Vue({
    vuetify,
    router,
    store,
    render: (h) => h(App)
}).$mount('#app')
